Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl
Interface XMLEntityHandler

All Known Implementing Classes:
  XML11DocumentScannerImpl, XML11DTDScannerImpl, XMLDocumentFragmentScannerImpl, XMLDocumentScannerImpl, XMLDTDScannerImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XMLEntityHandler

The entity handler interface defines methods to report information about the start and end of entities.

See Also:
  `XMLEntityScanner`

Method Summary
`void` | `endEntity(String name)` Deprecated. This method notifies the end of an entity.
`void` | `startEntity(String name, XMLResourceIdentifier identifier, String encoding)` Deprecated. This method notifies of the start of an entity.

Method Detail

### startEntity

    void startEntity(String name,
                     XMLResourceIdentifier identifier,
                     String encoding)
                     throws XNIException

  Deprecated.
  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.

  Parameters:
    `name` - The name of the entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endEntity

    void endEntity(String name)
                   throws XNIException

  Deprecated.
  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.

  Parameters:
    `name` - The name of the entity.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD